> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apitally.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Consumers

> List API consumers for an app. Ordered by ID (descending). With pagination.



## OpenAPI

````yaml https://api.apitally.io/openapi.json get /v1/apps/{app_id}/consumers
openapi: 3.1.0
info:
  title: Apitally API
  version: 1.0.0
servers:
  - url: https://api.apitally.io
security: []
paths:
  /v1/apps/{app_id}/consumers:
    get:
      tags:
        - Consumers
      summary: List Consumers
      description: >-
        List API consumers for an app. Ordered by ID (descending). With
        pagination.
      operationId: list_consumers_v1_apps__app_id__consumers_get
      parameters:
        - name: app_id
          in: path
          required: true
          schema:
            type: integer
            minimum: 1
            description: App ID
            title: App Id
          description: App ID
        - name: requests_since
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: >-
              Filter to consumers that have made requests since the given date
              and time in ISO 8601 format, if given.
            examples:
              - '2025-05-14T00:00:00Z'
            title: Requests Since
          description: >-
            Filter to consumers that have made requests since the given date and
            time in ISO 8601 format, if given.
        - name: next_token
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 1024
              - type: 'null'
            description: >-
              Token to fetch the next page of consumers, as returned by a
              previous request.
            title: Next Token
          description: >-
            Token to fetch the next page of consumers, as returned by a previous
            request.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            description: Maximum number of consumers to return.
            default: 100
            title: Limit
          description: Maximum number of consumers to return.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListConsumersResponse'
        '404':
          description: App Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ListConsumersResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/ConsumerItem'
          type: array
          title: Data
          description: List of consumers.
        has_more:
          type: boolean
          title: Has More
          description: Whether there are more consumers to list.
        next_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Token
          description: Token to fetch the next page of consumers, if there are more.
      type: object
      required:
        - data
        - has_more
        - next_token
      title: ListConsumersResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ConsumerItem:
      properties:
        id:
          type: integer
          title: Id
          description: Consumer ID
          examples:
            - 1
        identifier:
          type: string
          title: Identifier
          description: Consumer identifier
          examples:
            - user-123
        name:
          type: string
          title: Name
          description: Consumer name
          examples:
            - John Doe
        group:
          anyOf:
            - $ref: '#/components/schemas/ConsumerGroupItem'
            - type: 'null'
          description: Consumer group, if applicable.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: >-
            Date and time of consumer creation, which is when they made their
            first request.
        last_request_at:
          type: string
          format: date-time
          title: Last Request At
          description: Date and time of the last request made by the consumer.
      type: object
      required:
        - id
        - identifier
        - name
        - group
        - created_at
        - last_request_at
      title: ConsumerItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ConsumerGroupItem:
      properties:
        id:
          type: integer
          title: Id
          description: Consumer group ID
          examples:
            - 1
            - 2
        name:
          type: string
          title: Name
          description: Consumer group name
          examples:
            - Admin
            - User
      type: object
      required:
        - id
        - name
      title: ConsumerGroupItem
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Api-Key

````